org.opencv.video

## Class DenseOpticalFlow

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.DenseOpticalFlow

- Direct Known Subclasses:
    DualTVL1OpticalFlow, FarnebackOpticalFlow

      public class DenseOpticalFlow
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DenseOpticalFlow(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DenseOpticalFlow` | `__fromPtr__(long addr)`
    `void` | `calc(Mat I0, Mat I1, Mat flow)` Calculates an optical flow.
    `void` | `collectGarbage()` Releases all inner buffers.
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DenseOpticalFlow

          protected DenseOpticalFlow(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DenseOpticalFlow __fromPtr__(long addr)

    - #### calc

          public void calc(Mat I0,
                           Mat I1,
                           Mat flow)

      Calculates an optical flow.
      Parameters:
        `I0` - first 8-bit single-channel input image.
        `I1` - second input image of the same size and the same type as prev.
        `flow` - computed flow image that has the same size as prev and type CV_32FC2.

    - #### collectGarbage

          public void collectGarbage()

      Releases all inner buffers.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7